KDE nestartuje

Mam Fedoru 18 (upgradovana z F17)
Vcera jsem updatoval a po restartu mi nenabehnout KDE (fluxbox v pohode). Po lognuti obrazovka problikne a jsem zpatky v KDM. .xsession_errors je prazdny. Kdyz zkusim spustit prostredi z konzole: http://pastebin.com/mBT0y1cC (tohle konkretne dokonce zkouseno pod rootem).
Smazani .kde nepomaha.
Vypis z yum logu: http://pastebin.com/btnSYC6b
V minulosti (v radu tydnu) jsem experimentoval s nahrazenim krandr kscreenem (http://www.afiestas.org/screen-management-got-magic/). Ted me v tom logu trosku desi radek “Jan 29 10:28:52 Erased: kded_randrmonitor-4.9.98-3.fc18.x86_64”, ale moc nevim co s tim…
Jeste pro uplnost pridavam repolist http://pastebin.com/uR3Ranuz

Jeste vypis /var/log/Xorg.1.log: http://pastebin.com/YPzeYGtz

Takhle se mi za mou karieru KDEcka jeste rozbit nepodarilo :slight_smile:

Nevím zda to nebude tím přidaným repozitářem KDE (testing, unstable). Asi by to chtělo nejprve zezálohovat data a pak ty dva repozitáře odstranit a spustit příkaz:

sudo yum distribution-synchronization

Ale nevím zda je toto řešením, radši počkej na někoho zkušenějšího (ten to buď potvrdí nebo navrhne lepší řešení).
Takže zatím můj postup nedělej (ať ti něco nepokazím :slight_smile: ).
Hodně úspěchu.

Pokud ti fluxbox funguje, ale Xserver se ti ukonci jen pokud zvolis KDE tak je jasne chyba tam. A pokud pouzivas nejake experimentalni repozitare KDE tak se asi neni cemu divit. Zkus je vypnout a bud ten distrosync jak pise dandym, ale nejsem si jist zda to pujde, nebo yum groupremove KDE a nasledne groupsintall. Ale pozor co to vsechno odstranuje.

Tak zkousim distro sync… Bohuze nevim jak “obejit” jednu zavislost. Odstranil jsem unstable a testing kde repozitare a distro sync skonci na:
Error: Package: nepomuk-widgets-4.9.98-1.fc18.x86_64 (@kde-unstable)
Requires: nepomuk-core-libs(x86-64) >= 4.9.98
Removing: nepomuk-core-libs-4.9.98-1.fc18.x86_64 (@kde-unstable)
nepomuk-core-libs(x86-64) = 4.9.98-1.fc18
Downgraded By: nepomuk-core-libs-4.9.5-1.fc18.x86_64 (updates)
nepomuk-core-libs(x86-64) = 4.9.5-1.fc18
Available: nepomuk-core-libs-4.9.1-1.fc18.x86_64 (kde)
nepomuk-core-libs(x86-64) = 4.9.1-1.fc18
Available: nepomuk-core-libs-4.9.4-2.fc18.x86_64 (fedora)
nepomuk-core-libs(x86-64) = 4.9.4-2.fc18
Zkousel jsem dat yum remove nepomuk-widgets, ale to mi chce odebrat skoro cele KDE (kvuli zavislostem).
Zitra se na to mozna zkusim jeste nejak podivat…

Ještě asi smazat repo “kde”

Smazani repa kde nepomohlo. Nepomuk widgets jsem nakonec odstranil natvrdo (rpm -e --nodeps nepomuk widgets, nebo tak nejak). Jeste pak delal trosku problemy kscreen a libkscreen, ale ty uz sly odstranit normalne pomoci yum remove. Potom uz dist-sync probehl vpohode a vypada to, ze vsechno slape jak ma…
Takze ted si tak tyden dva pockam a pak zase zkusim povolit ty repozitare, jestli se neco zmenilo.
I like to live dangerously :smiley: (http://www.youtube.com/watch?v=DeUVxqPU-No)

Mysljm ze to bude netreba. Az vyjde KDE 4.10 tak by se melo objevit v repu fedory. Tudiz to tve pridane repo ztraci vyznam.

Zkusil jsem znovu povolit unstable kde repo a opet uplne stejny problem. KDE nestartovalo. Pri odstraneni unstable repozitaru neslo distro-sync kvuli nepomuk-widgets. Zase jsem teda odstranil (rpm -e --nodeps) nepomuk-widgets. Narozdil odminule jsem ale v tehle chvili zkusil nastartovat KDE (posledne jsem pustil hned potom distro-sync) a ejhle. KDE jede. Ma sice jeste mouchy, ale s tim se pocita :wink: